---
title: PointerEvent.getCoalescedEvents()
slug: Web/API/PointerEvent/getCoalescedEvents
tags:
  - API
  - DOM
  - Method
  - Pointer Events
  - PointerEvent
  - Reference
---
<p>{{APIRef("Pointer Events")}}{{seecompattable}}</p>

<p>The <strong><code>getCoalescedEvents()</code></strong> method of the {{domxref("PointerEvent")}} interface returns a sequence of all <code>PointerEvent</code> instances that were coalesced into the dispatched {{event('pointermove')}} event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>pointerEvents[]</em> = <em>PointerEvent</em>.getCoalescedEvents()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A sequence of {{domxref('PointerEvent')}} instances.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 3','#dom-pointerevent-getcoalescedevents','getCoalescedEvents()')}}</td>
   <td>{{Spec2('Pointer Events 3')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.getCoalescedEvents")}}</p>
